summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorKirill Dubovitskiy <kirill2003de@gmail.com>2023-08-06 18:49:50 -0700
committerKirill Dubovitskiy <kirill2003de@gmail.com>2023-08-06 18:49:50 -0700
commitc3723a132f5c45adb765301b7854ca6b4b6ce82c (patch)
tree8758020beefba2f76386b744f529c0528f9964a9
parent400d1da490dab08a9b2ef2c88ab842ae5bc75620 (diff)
downloadsncontinue-c3723a132f5c45adb765301b7854ca6b4b6ce82c.tar.gz
sncontinue-c3723a132f5c45adb765301b7854ca6b4b6ce82c.tar.bz2
sncontinue-c3723a132f5c45adb765301b7854ca6b4b6ce82c.zip
Added a task to install all dependencies from top level without having to figure out commands in multiple sub projects. Developers should run this before the first debugging session and anytime they pull
-rw-r--r--.vscode/tasks.json12
-rwxr-xr-xcontinuedev/install-dependencies.sh16
-rwxr-xr-xinstall-dependencies.sh18
3 files changed, 41 insertions, 5 deletions
diff --git a/.vscode/tasks.json b/.vscode/tasks.json
index 3b6b62e8..808b6d1f 100644
--- a/.vscode/tasks.json
+++ b/.vscode/tasks.json
@@ -49,10 +49,12 @@
"revealProblems": "onProblem",
"clear": true,
},
- "group": {
- "kind": "build",
- "isDefault": true
- }
- }
+ },
+ // Install or update all dependencies for all projects in the monrepo
+ {
+ "label": "install-all-dependencies",
+ "type": "shell",
+ "command": "./install-dependencies.sh",
+ },
]
} \ No newline at end of file
diff --git a/continuedev/install-dependencies.sh b/continuedev/install-dependencies.sh
new file mode 100755
index 00000000..8f1b5d27
--- /dev/null
+++ b/continuedev/install-dependencies.sh
@@ -0,0 +1,16 @@
+
+#!/bin/bash
+
+# Check if Poetry is installed
+if ! command -v poetry &> /dev/null
+then
+ echo "Poetry not found, installing..."
+ curl -sSL https://install.python-poetry.org | python3 -
+fi
+
+# Install or update dependencies & create .venv if it doesn't exist
+echo "Installing dependencies..."
+poetry install
+
+echo "Running type generation..."
+poetry run typegen
diff --git a/install-dependencies.sh b/install-dependencies.sh
new file mode 100755
index 00000000..a913f971
--- /dev/null
+++ b/install-dependencies.sh
@@ -0,0 +1,18 @@
+
+#!/bin/bash
+# This is used in a task in .vscode/tasks.json
+# Start developing with:
+# - Run Task -> Install Dependencies
+# - Debug -> Server + Extension
+
+# Server
+echo "Installing server dependencies..."
+pushd continuedev || exit
+./install-dependencies.sh
+popd || exit
+
+# VSCode Extension (will also package GUI)
+echo "Installing VSCode extension dependencies..."
+pushd extension || exit
+# This does way too many things inline but is the common denominator between many of the scripts
+npm run package \ No newline at end of file